/// class PD.Manage.Modules.MailQueueSettingsDialogCommand

PD.Manage.Modules.MailQueueSettingsDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "mail-queue-item/settings-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("server_mail.png"));
        this.props("label", "Mail Settings");
        this.props("tooltip", "Edit the settings using to send email.");
    },

    execute: function (e) {

        PDJS.Shared.Features.FeatureDialogForNhib.open({
            title: "Mail Settings",
            args: {
                targetId: "mail.server.settings",
                targetType: "ProspectDirector.Web.Manage.Modules.Mail.MailServerUIO",
                arbiterType: "ProspectDirector.Web.Manage.Modules.Mail.MailServerArbiter"
            }
        }, {
            minHeight: "500px",
            height: 570,
            width: 500
        });

    }

});